first_polygon = {
	{0,0},
	{20,0},
	{20, 20},
	{0, 20}
}

angle = math.rad(45)

rotation_matrix = {
	{math.cos(angle), math.sin(angle)},
	{math.sin(angle), math.cos(angle)}
}

rotation_matrix = {
	{math.cos(angle), math.sin(angle)},
	{0-math.sin(angle), math.cos(angle)}
}
 
function apply_matrix(polygon, matrix)
	for i, pt in pairs(polygon) do
		polygon[i][1] = pt[1]*rotation_matrix[1][1] + pt[2]*rotation_matrix[1][2]
		polygon[i][2] = pt[1]*rotation_matrix[2][1] + pt[2]*rotation_matrix[2][2]
	end
end

apply_matrix(first_polygon, rotation_matrix)
function love.draw()
	love.graphics.translate(100, 100)
	prevpt = first_polygon[#first_polygon]
	for _, pt in ipairs(first_polygon) do
		love.graphics.line(pt[1],pt[2],prevpt[1],prevpt[2])
		prevpt = pt
	end
end
